<template>
  <div>
    <div class="field">
      <div class="input">
        <label for="username">Username:</label>
        <input v-model="username" class="textarea" required />
      </div>
    </div>
    <div v-if="msg.username" class="error">
      <strong>{{ msg.username }}</strong>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      msg: [],
    }
  },
  computed: {
    username: {
      get() {
        return this.$store.state.username
      },
      set(value) {
        this.validateUsername(value)
        this.$store.commit('updateUsername', value)
      },
    },
  },
  methods: {
    validateUsername(val) {
      if (!parseInt(val[0])) {
        this.msg.username = ''
      } else {
        this.msg.username = 'Username inválido'
      }
    },
  },
}
</script>

<style>
.field {
  height: 60px;
  display: flex;
  justify-content: space-between;
}

.textarea {
  border: 1px solid black;
  height: 23px;
  width: 70%;
}

.input {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
</style>
